org.flexdock.docking.event

## Class DockingListener.Stub

- java.lang.Object
- - org.flexdock.docking.event.DockingListener.Stub

- All Implemented Interfaces:
    java.util.EventListener, DockingListener
  Direct Known Subclasses:
    DockingStateListener, FloatPolicyManager
  Enclosing interface:
    DockingListener

      public static class DockingListener.Stub
      extends java.lang.Object
      implements DockingListener

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface org.flexdock.docking.event.DockingListener

      `DockingListener.Stub`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `DockingListener.Stub()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `dockingCanceled(DockingEvent evt)` Fired when docking of a `Dockable` is canceled during the operation.
    `void` | `dockingComplete(DockingEvent evt)` Fired when docking of a `Dockable` has completed.
    `void` | `dragStarted(DockingEvent evt)` Fired when the dragging of a `Dockable` has begun.
    `void` | `dropStarted(DockingEvent evt)` Fired when the dropping of a `Dockable` has begun at the release of a drag-operation.
    `void` | `undockingComplete(DockingEvent evt)`
    `void` | `undockingStarted(DockingEvent evt)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### DockingListener.Stub

          public DockingListener.Stub()

  - ### Method Detail

    - #### dockingCanceled

          public void dockingCanceled(DockingEvent evt)

      Description copied from interface: `DockingListener`
      Fired when docking of a `Dockable` is canceled during the operation.
      Specified by:
        `dockingCanceled` in interface `DockingListener`
      Parameters:
        `evt` - the `DockingEvent` event which provides the source Dockable, the old DockingPort and the new DockingPort

    - #### dockingComplete

          public void dockingComplete(DockingEvent evt)

      Description copied from interface: `DockingListener`
      Fired when docking of a `Dockable` has completed.
      Specified by:
        `dockingComplete` in interface `DockingListener`
      Parameters:
        `evt` - the `DockingEvent` event which provides the source Dockable, the old DockingPort and the new DockingPort

    - #### dragStarted

          public void dragStarted(DockingEvent evt)

      Description copied from interface: `DockingListener`
      Fired when the dragging of a `Dockable` has begun.
      Specified by:
        `dragStarted` in interface `DockingListener`
      Parameters:
        `evt` - the `DockingEvent` event which provides the source Dockable, the old DockingPort and the new DockingPort

    - #### dropStarted

          public void dropStarted(DockingEvent evt)

      Description copied from interface: `DockingListener`
      Fired when the dropping of a `Dockable` has begun at the release of a drag-operation.
      Specified by:
        `dropStarted` in interface `DockingListener`
      Parameters:
        `evt` - the `DockingEvent` event which provides the source Dockable, the old DockingPort and the new DockingPort

    - #### undockingComplete

          public void undockingComplete(DockingEvent evt)

      Specified by:
        `undockingComplete` in interface `DockingListener`

    - #### undockingStarted

          public void undockingStarted(DockingEvent evt)

      Specified by:
        `undockingStarted` in interface `DockingListener`